package org.jerrymouse.gaes.mavenPlugin.mojos;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.maven.plugin.MojoExecutionException;
import org.apache.maven.plugin.MojoFailureException;
import org.jerrymouse.gaes.mavenPlugin.base.InfoBase;
import org.jerrymouse.gaes.mavenPlugin.mojos.gae.UpdateMojo;
import org.junit.Before;
import org.junit.Test;

public class UpdateMojoTest {
	UpdateMojo updateMojo;
	Log log = LogFactory.getLog(getClass());

	@Before
	public void setUp() throws Exception {
		updateMojo = new UpdateMojo();
	}

	@Test
	public void testExecute() throws MojoExecutionException,
			MojoFailureException {
		((InfoBase) updateMojo)
				.setSdkDir("/home/yankai/opt/appengine-java-sdk");
		// updateMojo.execute();
	}

	@Test
	public void testGetAppCfg() throws Exception {
		((InfoBase) updateMojo)
				.setSdkDir("/home/yankai/opt/appengine-java-sdk");
		// Class classA = updateMojo.getAppCfgClass();
		// log.trace(classA);
	}

}
